<?php
/**
* 2022 MACHINE LEARNING SOLUTIONS SRL
*
* @author MACHINE LEARNING SOLUTIONS SRL
* @copyright 2022 MACHINE LEARNING SOLUTIONS SRL
* @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0) 
*/

$sql = array();


$sql[] = 'CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'aqurate_crossselling` (
`id_product` int(11) NOT NULL,
`id_cross_product` int(11) NOT NULL,
`position` int(1) NULL,
`date_upd` datetime NULL,
PRIMARY KEY (`id_product`,`id_cross_product`)) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'aqurate_substitute` (
`id_product` int(11) NOT NULL,
`id_substitute_product` int(11) NOT NULL,
`position` int(1) NULL,
`date_upd` datetime NULL,
PRIMARY KEY (`id_product`,`id_substitute_product`)) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'aqurate_similar` (
`id_product` int(11) NOT NULL,
`id_similar_product` int(11) NOT NULL,
`position` int(1) NULL,
`date_upd` datetime NULL,
PRIMARY KEY (`id_product`,`id_similar_product`)) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;';


$sql[] = 'CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'aqurate_api_logs` (
`id` int(11) NOT NULL AUTO_INCREMENT,
`id_product` int(11) NULL,
`action` varchar(200) NULL,
`log` text NULL,
`date_add` datetime NULL, 
PRIMARY KEY (`id`)) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;';


$sql[] = 'CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'aqurate_cron_jobs` (
`id` int(11) NOT NULL AUTO_INCREMENT,
`type` varchar(100) NULL,
`action` varchar(200) NULL,
`date_add` datetime NULL, 
PRIMARY KEY (`id`)) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;';



foreach ($sql as $query) {
    if (Db::getInstance()->execute($query) == false) {
        return false;
    }
}
